Index: pacemaker/pengine/test10/bug-5014-CLONE-A-start-B-start.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-CLONE-A-start-B-start.exp
+++ pacemaker/pengine/test10/bug-5014-CLONE-A-start-B-start.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="ClusterIP:0_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" long-id="ClusterIP:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="ClusterIP:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" long-id="ClusterIP:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="ClusterIP:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" long-id="ClusterIP:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -65,7 +65,7 @@
     <action_set>
       <rsc_op id="11" operation="monitor" operation_key="ClusterIP2:0_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" long-id="ClusterIP2:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -78,7 +78,7 @@
     <action_set>
       <rsc_op id="10" operation="start" operation_key="ClusterIP2:0_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" long-id="ClusterIP2:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -91,7 +91,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="ClusterIP2:0_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" long-id="ClusterIP2:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-5014-CLONE-A-stop-B-started.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-CLONE-A-stop-B-started.exp
+++ pacemaker/pengine/test10/bug-5014-CLONE-A-stop-B-started.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="ClusterIP:0_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" long-id="ClusterIP:0" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="1" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5014-CthenAthenB-C-stopped.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-CthenAthenB-C-stopped.exp
+++ pacemaker/pengine/test10/bug-5014-CthenAthenB-C-stopped.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="monitor" operation_key="ClusterIP_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="ClusterIP2_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="4" operation="monitor" operation_key="ClusterIP3_monitor_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP3" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.103"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_op_target_rc="7" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.103"/>
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-5014-GROUP-A-start-B-start.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-GROUP-A-start-B-start.exp
+++ pacemaker/pengine/test10/bug-5014-GROUP-A-start-B-start.exp
@@ -26,7 +26,7 @@
     <action_set>
       <rsc_op id="3" operation="monitor" operation_key="ClusterIP_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -39,7 +39,7 @@
     <action_set>
       <rsc_op id="2" operation="start" operation_key="ClusterIP_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -79,7 +79,7 @@
     <action_set>
       <rsc_op id="9" operation="monitor" operation_key="ClusterIP2_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -92,7 +92,7 @@
     <action_set>
       <rsc_op id="8" operation="start" operation_key="ClusterIP2_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP2" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.102"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5014-GROUP-A-stopped-B-started.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-GROUP-A-stopped-B-started.exp
+++ pacemaker/pengine/test10/bug-5014-GROUP-A-stopped-B-started.exp
@@ -26,7 +26,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="ClusterIP_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="ClusterIP" class="ocf" provider="heartbeat" type="IPaddr2"/>
-        <attributes CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" cidr_netmask="32"  ip="192.168.122.101"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5014-ordered-set-symmetrical-false.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-ordered-set-symmetrical-false.exp
+++ pacemaker/pengine/test10/bug-5014-ordered-set-symmetrical-false.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="C_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-5014-ordered-set-symmetrical-true.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5014-ordered-set-symmetrical-true.exp
+++ pacemaker/pengine/test10/bug-5014-ordered-set-symmetrical-true.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="A_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="6" operation="stop" operation_key="C_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="C" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5025-1.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5025-1.exp
+++ pacemaker/pengine/test10/bug-5025-1.exp
@@ -3,7 +3,7 @@
     <action_set>
       <crm_event id="4" operation="clear_failcount" operation_key="A_clear_failcount_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" allow-migrate="1" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" allow-migrate="1" />
       </crm_event>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="3" operation="reload" operation_key="A_reload_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" allow-migrate="1" />
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" allow-migrate="1" />
       </rsc_op>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="A_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="60000" allow-migrate="1" />
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="60000" allow-migrate="1" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5025-3.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5025-3.exp
+++ pacemaker/pengine/test10/bug-5025-3.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="stop" operation_key="A_stop_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <crm_event id="4" operation="clear_failcount" operation_key="A_clear_failcount_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
       </crm_event>
     </action_set>
     <inputs/>
@@ -21,7 +21,7 @@
     <action_set>
       <rsc_op id="3" operation="start" operation_key="A_start_0" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
+        <attributes CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="20000" allow-migrate="1"  state="anywhere" target-role="started"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -34,7 +34,7 @@
     <action_set>
       <rsc_op id="1" operation="monitor" operation_key="A_monitor_30000" on_node="fc16-builder" on_node_uuid="fc16-builder">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="60000" allow-migrate="1"  state="anywhere" target-role="started"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="fc16-builder" CRM_meta_on_node_uuid="fc16-builder" CRM_meta_timeout="60000" allow-migrate="1"  state="anywhere" target-role="started"/>
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5025-4.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5025-4.exp
+++ pacemaker/pengine/test10/bug-5025-4.exp
@@ -3,7 +3,7 @@
     <action_set>
       <rsc_op id="5" operation="monitor" operation_key="remote-node_monitor_30000" on_node="18builder" on_node_uuid="4">
         <primitive id="remote-node" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
+        <attributes CRM_meta_interval="30000" CRM_meta_name="monitor" CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="4" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -16,7 +16,7 @@
     <action_set>
       <rsc_op id="4" operation="start" operation_key="remote-node_start_0" on_node="18builder" on_node_uuid="4">
         <primitive id="remote-node" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  port="1984" server="18node1"/>
+        <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="4" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
       </rsc_op>
     </action_set>
     <inputs>
@@ -29,7 +29,7 @@
     <action_set>
       <rsc_op id="3" operation="delete" operation_key="remote-node_delete_0" on_node="18builder" on_node_uuid="4">
         <primitive id="remote-node" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000"  port="1984" server="18node1"/>
+        <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="4" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
       </rsc_op>
     </action_set>
     <inputs/>
@@ -38,7 +38,7 @@
     <action_set>
       <crm_event id="1" operation="clear_failcount" operation_key="remote-node_clear_failcount" on_node="18builder" on_node_uuid="4">
         <primitive id="remote-node" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
+        <attributes CRM_meta_on_node="18builder" CRM_meta_on_node_uuid="4" CRM_meta_op_no_wait="true" CRM_meta_timeout="20000"  port="1984" server="18node1"/>
       </crm_event>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-5028-bottom.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5028-bottom.exp
+++ pacemaker/pengine/test10/bug-5028-bottom.exp
@@ -11,7 +11,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="dummy02_stop_0" on_node="bl460g6a" on_node_uuid="11111111-1111-1111-1111-111111111111">
         <primitive id="dummy02" class="ocf" provider="heartbeat" type="Dummy-stop-NG"/>
-        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_timeout="60000" />
+        <attributes CRM_meta_name="stop" CRM_meta_on_fail="block" CRM_meta_on_node="bl460g6a" CRM_meta_on_node_uuid="11111111-1111-1111-1111-111111111111" CRM_meta_timeout="60000" />
       </rsc_op>
     </action_set>
     <inputs>
Index: pacemaker/pengine/test10/bug-5028-detach.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5028-detach.exp
+++ pacemaker/pengine/test10/bug-5028-detach.exp
@@ -2,7 +2,7 @@
   <synapse id="0">
     <action_set>
       <crm_event id="11" operation="do_shutdown" operation_key="do_shutdown-bl460g6a" on_node="bl460g6a" on_node_uuid="11111111-1111-1111-1111-111111111111">
-        <attributes CRM_meta_op_no_wait="true" />
+        <attributes CRM_meta_on_node="bl460g6a" CRM_meta_on_node_uuid="11111111-1111-1111-1111-111111111111" CRM_meta_op_no_wait="true" />
         <downed>
           <node id="11111111-1111-1111-1111-111111111111"/>
         </downed>
Index: pacemaker/pengine/test10/bug-5069-op-disabled.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5069-op-disabled.exp
+++ pacemaker/pengine/test10/bug-5069-op-disabled.exp
@@ -3,7 +3,7 @@
     <action_set>
       <crm_event id="3" operation="clear_failcount" operation_key="A_clear_failcount_0" on_node="fc16-builder2" on_node_uuid="fc16-builder2">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_timeout="20000" />
+        <attributes CRM_meta_on_node="fc16-builder2" CRM_meta_on_node_uuid="fc16-builder2" CRM_meta_timeout="20000" />
       </crm_event>
     </action_set>
     <inputs/>
@@ -12,7 +12,7 @@
     <action_set>
       <rsc_op id="1" operation="cancel" operation_key="A_monitor_10000" on_node="fc16-builder2" on_node_uuid="fc16-builder2">
         <primitive id="A" class="ocf" provider="pacemaker" type="Dummy"/>
-        <attributes CRM_meta_call_id="4" CRM_meta_enabled="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_operation="monitor" CRM_meta_timeout="20000" />
+        <attributes CRM_meta_call_id="4" CRM_meta_enabled="false" CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_fail="ignore" CRM_meta_on_node="fc16-builder2" CRM_meta_on_node_uuid="fc16-builder2" CRM_meta_operation="monitor" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs/>
Index: pacemaker/pengine/test10/bug-5140-require-all-false.exp
===================================================================
--- pacemaker.orig/pengine/test10/bug-5140-require-all-false.exp
+++ pacemaker/pengine/test10/bug-5140-require-all-false.exp
@@ -36,7 +36,7 @@
     <action_set>
       <rsc_op id="2" operation="stop" operation_key="dlm_stop_0" internal_operation_key="dlm:0_stop_0" on_node="hex-2" on_node_uuid="hex-2">
         <primitive id="dlm" long-id="dlm:0" class="ocf" provider="pacemaker" type="controld"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-2" CRM_meta_on_node_uuid="hex-2" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -52,7 +52,7 @@
     <action_set>
       <rsc_op id="3" operation="stop" operation_key="clvmd_stop_0" internal_operation_key="clvmd:0_stop_0" on_node="hex-2" on_node_uuid="hex-2">
         <primitive id="clvmd" long-id="clvmd:0" class="ocf" provider="lvm2" type="clvmd"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-2" CRM_meta_on_node_uuid="hex-2" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
@@ -68,7 +68,7 @@
     <action_set>
       <rsc_op id="4" operation="stop" operation_key="o2cb_stop_0" internal_operation_key="o2cb:0_stop_0" on_node="hex-2" on_node_uuid="hex-2">
         <primitive id="o2cb" long-id="o2cb:0" class="ocf" provider="ocfs2" type="o2cb"/>
-        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
+        <attributes CRM_meta_clone="0" CRM_meta_clone_max="3" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_notify="false" CRM_meta_on_node="hex-2" CRM_meta_on_node_uuid="hex-2" CRM_meta_record_pending="true" CRM_meta_timeout="120000" />
       </rsc_op>
     </action_set>
     <inputs>
